<?php
    @session_start();
    header( "Content-type: text/html; charset=utf-8" );
    set_time_limit(2000000);
    if (!isset($_SESSION["admin"]["id"])) {
        echo "<script>location.href='index.php';</script>";
    }
    include "config/conf.php";
?>


<!DOCTYPE html>
<html>
<head>
	<title><?php echo $title; ?></title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta charset="utf-8">
	<base href="<?php echo "http://".$_SERVER["HTTP_HOST"].$_SERVER["SCRIPT_NAME"]; ?>" />

	<link href='https://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'>
	<link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet' type='text/css'>

	<link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="css/sb-admin.css">
	<link rel="stylesheet" type="text/css" href="css/font-awesome.min.css">
	<link rel="stylesheet" type="text/css" href="css/jasny-bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="css/jquery.autocomplete.css">
	<link rel="stylesheet" type="text/css" href="css/wysiwyg-color.css">

	<link rel="stylesheet" type="text/css" href="css/style.css">
	
    <link rel="shortcut icon" type="image/x-icon" href="<?=$base;?>/icone.png">

    <link href="summernote.css" rel="stylesheet">
   

	<script type="text/javascript" src="js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="js/bootstrap.min.js"></script>
	<script type="text/javascript" src="js/jqBootstrapValidation.js"></script>
	<script type="text/javascript" src="js/bootstrap-inputmask.min.js"></script>
	<script type="text/javascript" src="js/jquery.maskMoney.min.js"></script>
	<script type="text/javascript" src="js/prettify.js"></script>
	<script type="text/javascript" src="js/jquery.colorbox-min.js"></script>

    <script src="js/jquery.complexify.js"></script> 
    <script src="summernote.min.js"></script>

	<link rel="stylesheet" type="text/css" href="colorbox.css">
	<script>
	  $(function () { $("input,select,textarea").not("[type=submit]").jqBootstrapValidation(); } );
	</script>
</head>
<body style="padding-top: 15px !important;">
<div class="container" style="margin-top:-50px">
<div id="msg"></div>
<?php

	if ( $_POST ) {

		$max = 250;
		$qtde = $_POST["qtde"];
		$q = $max * $qtde;

		$teste = "S";

		$parceiro = $mensagem = $assunto = "";

		if ( isset ( $_POST["parceiro"] ) ) $parceiro = trim ( $_POST["parceiro"] );	
		if ( isset ( $_POST["mensagem"] ) ) $mensagem = trim ( $_POST["mensagem"] );
		if ( isset ( $_POST["assunto"] ) ) $assunto = trim ( $_POST["assunto"] );
		if ( isset ( $_POST["teste"] ) ) $teste = trim ( $_POST["teste"] );

		$mensagem = nl2br($mensagem);

		if ( empty ( $parceiro ) ) {

			echo "<script>alert('Por favor selecione um parceiro.');</script>";

		} else if ( empty ( $assunto ) ) {

			echo "<script>alert('Por favor digite um assunto.');</script>";

		} else if ( empty ( $mensagem ) ) {

			echo "<script>alert('Por favor digite uma mensagem.');</script>";

		} else {

			$sql = "select * from parceiro where id = ? limit 1";
			$consulta = $db->prepare($sql);
			$consulta->bindParam(1, $parceiro);
			$consulta->execute();
			$dados = $consulta->fetch(PDO::FETCH_OBJ);

			if ( empty ( $dados->id ) )  {
				echo "<script>alert('Erro ao selecionar dados para envio: O parceiro selecionado não permite envio de e-mails.');</script>";
			} else if ( empty ( $dados->servidor ) ) {
				echo "<script>alert('Erro: O parceiro selecionado não possui servidor configurado.');</script>";
			} else if ( empty ( $dados->porta ) ) {
				echo "<script>alert('Erro: A porta de e-mails deste parceiro não está configurada para envios');</script>";
			} else if ( empty ( $dados->login ) ) {
				echo "<script>alert('Erro: Login para envio de e-mails em branco');</script>";
			}  else if ( empty ( $dados->senha ) ) {
				echo "<script>alert('Erro: Senha para envio de e-mails em branco.');</script>";
			} else {

				$server = $dados->servidor;
				$port = $dados->porta;
				$login = $dados->login;
				$pass = $dados->senha;
				$nome = $dados->nomeemail;
				$assinatura = $dados->assinatura;
				$texto = $dados->texto;

				$foto = "";

				if ( !empty ( $_FILES["imagem"]["name"])) {

					$size = $_FILES["imagem"]["size"] / 1000;
		            $extensao = pathinfo($_FILES["imagem"]["name"]);
		            $extensao = $extensao['extension'];

		            if ( $extensao != "jpg" ) {
		            	echo "<script>alert('Erro: arquivo inválido, envie somente arquivos JPG. Seu arquivo: $extensao.');</script>";
		            	exit;
		            } else if (!copy($_FILES["imagem"]['tmp_name'],"../downloads/".$_FILES["imagem"]['name'])) {
						echo "<script>alert('Erro ao enviar arquivo para o servidor');</script>";
						exit;
					} else {

						$arq = time();
						
						rename("../downloads/".$_FILES["imagem"]['name'],"../downloads/".$arq.".jpg");
						$foto = "<img src='http://www.gruporbk.com.br/downloads/".$arq.".jpg' alt='Mensagem'>";
					}

				}

				if ( !empty ( $_FILES["arquivo"]["name"])) {

					if ( (!copy($_FILES["arquivo"]['tmp_name'],"../downloads/".$_FILES["arquivo"]['name'] ) ) ) {

						echo "<script>alert('Erro ao enviar arquivo para o servidor');</script>";
						exit;

					} else {

						$arquivo = "<p><a href='http://www.gruporbk.com.br/downloads/".$_FILES["arquivo"]['name']."'>Download do Arquivo</a></p>";

					}


				}

				$sql2 = "select a.id aid, a.arquivo, c.id cid, c.nome, f.email femail, c.email cemail, f.nome fnome, p.nome parceiro
					from arquivo a
					inner join cliente c on (c.id = a.cliente_id)
					inner join funcionario f on (f.id = c.funcionario_id)
					inner join parceiro p on (p.id = c.parceiro_id)
					where c.parceiro_id = $parceiro 
					group by c.id
					order by a.id
					LIMIT $q, $max";

				if ( $teste == "S" ) {
					$sql2 = "select a.id aid, a.arquivo, c.id cid, c.nome, f.email femail, c.email cemail, f.nome fnome, p.nome parceiro
					from arquivo a
					inner join cliente c on (c.id = a.cliente_id)
					inner join funcionario f on (f.id = c.funcionario_id)
					inner join parceiro p on (p.id = c.parceiro_id)
					where c.parceiro_id = $parceiro 
					group by c.id
					order by a.id
					LIMIT 3";
				}

				$consulta2 = $db->prepare($sql2);
				$consulta2->execute();

				$count = $consulta2->rowCount();

				/*echo $teste;
				echo "<br>";
				echo $sql2;

				exit;*/

				echo "<div class='alert alert-info text-center' id='load'><strong>Aguarde!</strong><br><br>
				<img src='imgs/load.gif' alt='Carregado' title='Carregando'> <br><br>Enviando $count mensagens:</div>";
				
				$ok = $erro = "";
				$i = $x = $e = 0;

				require 'PHPMailerAutoload.php';

				

				while ( $row = $consulta2->fetch(PDO::FETCH_OBJ)) {


					$i++;
					
					$cliente = utf8_decode($row->nome);
					$femail = $row->femail;
					$cemail = $row->cemail;
					$fnome = $row->fnome;
					$parceiro = $row->parceiro;

					if ( $teste == "S" ) {

						$femail = "morterasteira@gmail.com";
						$cemail = "thiago@redendl.com.br;marciar@redendl.com.br;burnes@professorburnes.com";

					}

					$mail = new PHPMailer;
					$mail->isSMTP();
					$mail->SMTPDebug = 0;
					$mail->Debugoutput = 'html';
					$mail->Host = $server;
					$mail->Port = $port;
					//$mail->SMTPSecure = 'ssl';
					$mail->SMTPAuth = true;
					$mail->Username = $login;
					$mail->Password = $pass;
					$mail->setFrom($login, $nome);
           			$mail->addAddress($femail, $fnome);

           			//$mail->addAddress($femail, $cliente);
           			$emails = str_replace("\\\\", ";", $cemail);
           			$emails = str_replace("\\", ";", $emails);
           			$emails = str_replace(" ", ";", $emails);
           			$emails = str_replace("<", "", $emails);

           			$emails = explode(";", $emails);
           			$eemail = "";
           			foreach ($emails as $email) {
           				$mail->addAddress($email, $cliente);
           				$eemail .= $email.";";
           			}

           			$mail->ConfirmReadingTo = $femail;

           			$msg = ("$mensagem<br>$foto<br>$arquivo<br><img src='http://www.gruporbk.com.br/downloads/$assinatura'>");

           			$mail->Subject = $assunto;
           			$mail->msgHTML("Prezado $cliente <br><br> $msg");
           			$mail->CharSet = 'UTF-8';

					if (!$mail->send()) {
		                $erro .= "<p class='alert alert-danger'>Erro ao enviar e-mail <strong>$cliente</strong> $eemail : " . $mail->ErrorInfo."</p>";
		                $x++;
		            } else {
		                $ok .=  "<p class='alert alert-success'>Mensagem enviada com sucesso para <strong>$cliente</strong> para os endereços $eemail!</p>";
		                $e++;	                	
		            }

		            if ( $teste == "S" ) {
		            	$msg = "<div class='alert alert-info'>$e e-mails enviados de $i.<br>$x e-mails de $i com erro!</div>";
						echo $msg;
						echo "<script>$('#load').html(\"$msg\")</script>";
		            	
		            }

				}
				echo $ok;
				echo $erro;

				$qtde++;

				$msg = "<div class='alert alert-info'>$e e-mails enviados de $i.<br>$x e-mails de $i com erro!</div>";
				echo $msg;
				echo "<script>$('#load').html(\"$msg\");top.$('#qtde').val($qtde);$('#load').hide();top.$('#enviando').hide();$('.mask').hide();</script>";

			}

			
		}
		

	} else {

		echo "<div class='alert alert-danger'><strong>Erro:</strong> requisição inválida</div>";

	}

	exit;
	
   ?>
   </div>
</body>
</html>
